# pixmap class

This class provide a pixmap.

Inherits
object widget
Description
The pixmap class is an off-screen, pixel-based paint device.
Functions

`$fill(<widget:object>,<x_offset:integer>,<y:offset>)`
Fills the pixmap with the widget's background color or pixmap. Note that x_offset, y_offest are offsets in the widget.
`$resize(<width:integer>,<height:integer>)`
Resizes the pixmap to w width and h height. Set wh or hg to 0, to have a null pixmap.
`$scale(<sx:real>,<sy:real>)`
Scales the pixmap by sx horizontally and sy vertically.
`$rotate(<a:real>)`
Rotates the pixmap by a degrees.
`$load(<file_name:string>)`
Load a pixmap from the <file>.
`<integer> $height()`
Return the height of the pixmap.
`<integer> $width()`
Return the width of the pixmap.

Index, Object Classes

KVIrc 3.4.2 Documentation
Generated by root at Wed Jun 30 19:39:58 2010